Invitations

Create an invitation to allow a new person to join this Octopus instance

POST /api/{spaceId}/users/invitations

Also reachable at /api/spaces/{spaceIdentifier}/users/invitations, /api/users/invitations.

Path Parameters

  • spaceId string (required)
    The ID of the space to create the invitation in.

Request Body

  • AddToTeamIds array of string (required)
    The teams the user will be invited to join.
  • SpaceId string
    The ID of the space to create the invitation in.

Response

201 — Created

  • AddToTeamIds array of string
  • Expires string
    Format date-time.
  • Id string
    Gets or sets a unique identifier for this resource.
  • InvitationCode string
    Minimum length 1.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • SpaceId string

Example Request

JSON
{
  "AddToTeamIds": [
    "string"
  ],
  "SpaceId": "string"
}

Example Response

JSON
{
  "AddToTeamIds": [
    "string"
  ],
  "Expires": "2020-01-01T00:00:00.000Z",
  "Id": "string",
  "InvitationCode": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "SpaceId": "string"
}

Get an Invitation by ID

GET /api/{spaceId}/users/invitations/{id}

Also reachable at /api/spaces/{spaceIdentifier}/users/invitations/{id}, /api/users/invitations/{id}.

Path Parameters

  • id string (required)
    ID of the Invitation to load.
  • spaceId string (required)
    The ID of the space containing the resources.

Response

200 — An Invitation object

  • AddToTeamIds array of string
  • Expires string
    Format date-time.
  • Id string
    Gets or sets a unique identifier for this resource.
  • InvitationCode string
    Minimum length 1.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • SpaceId string

Example Response

JSON
{
  "AddToTeamIds": [
    "string"
  ],
  "Expires": "2020-01-01T00:00:00.000Z",
  "Id": "string",
  "InvitationCode": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "SpaceId": "string"
}